from inputs.snap7_connect import SiemensCPU
from inputs.balluff_html import Balluff
from inputs.allen_bradley_connect import AllenBradleyCPU
from database import *
from datetime import datetime
import time

db1 = InfluxDB()
db2 = CSVFile()

cpu = SiemensCPU()

#print(cpu.synchronize())

balluff = Balluff()

ab = AllenBradleyCPU()
ab.start()

while True:
  values = list(ab.read())
  print(len(values))
  db1.write(values)
  db2.write(values)
  time.sleep(1)
